summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2016-04-12 14:56:04 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-04-12 18:55:25 +0000
commitbaba4be200e6de1dfe15173cfb8404d734e6d4a3 (patch)
tree7af139059cc8de1e35b3c7bb0eb64feaf9001218 /dev-python/httpauth
parentmail-client/mutt: add elog about changed option names for sidebar (diff)
downloadgentoo-baba4be200e6de1dfe15173cfb8404d734e6d4a3.tar.gz
gentoo-baba4be200e6de1dfe15173cfb8404d734e6d4a3.tar.bz2
gentoo-baba4be200e6de1dfe15173cfb8404d734e6d4a3.zip
dev-python/httpauth: new package, needed for www-apps/klaus
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1248 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'dev-python/httpauth')
-rw-r--r--dev-python/httpauth/Manifest1
-rw-r--r--dev-python/httpauth/httpauth-0.3.ebuild27
-rw-r--r--dev-python/httpauth/metadata.xml18
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/httpauth/Manifest b/dev-python/httpauth/Manifest
new file mode 100644
index 00000000000..aa241a2cd1d
--- /dev/null
+++ b/dev-python/httpauth/Manifest
@@ -0,0 +1 @@
+DIST httpauth-0.3.tar.gz 4440 SHA256 74645a5c3cf7d094fb3b6803b789453ade634f2eb7d177d149dfbf680e3a5a61 SHA512 aa35148322a1c5ffc22a132d3062d300118aa23181a0008018d0aacfd473758d86d50ff1236d88126858a53e2f45aeea938988b2d1a8f62f80a97d8c2cc69822 WHIRLPOOL 861600fd9912468d187bd982ffb2968756d5281be55e249fd0f175ecaf0d095965a24bbd3435f127fa629d609bfa1d999df772ae8d204199f0c478c3ff278b84
diff --git a/dev-python/httpauth/httpauth-0.3.ebuild b/dev-python/httpauth/httpauth-0.3.ebuild
new file mode 100644
index 00000000000..c47eb0ce466
--- /dev/null
+++ b/dev-python/httpauth/httpauth-0.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A WSGI middleware that secures routes using HTTP Digest Authentication"
+HOMEPAGE="https://github.com/jonashaag/httpauth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ nosetests tests.py || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/httpauth/metadata.xml b/dev-python/httpauth/metadata.xml
new file mode 100644
index 00000000000..2996c14f7ef
--- /dev/null
+++ b/dev-python/httpauth/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sautier.louis@gmail.com</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">httpauth</remote-id>
+ <remote-id type="github">jonashaag/httpauth</remote-id>
+ <bugs-to>https://github.com/jonashaag/httpauth/issues</bugs-to>
+ </upstream>
+</pkgmetadata>